local CancelPet = CreateFrame("Frame", nil, UIParent)
CancelPet:RegisterEvent("PET_BATTLE_OPENING_START")

StaticPopupDialogs["NO_RARE_PET"] = {
  text = "No rare pet found! Cancel Fight?",
  button1 = "Keep Fighting",
  button2 = "Forfeit",
  maxLetters = 30,
  whileDead = false,
  OnCancel = function(self)
    C_PetBattles.ForfeitGame();
  end,
  timeout = 0,
  exclusive = 1,
  hideOnEscape = 1,
  preferredIndex = 3,
};

function CheckPet(frame, event, ...)
  if C_PetBattles.GetBreedQuality(2,1) ~= 4 and C_PetBattles.GetBreedQuality(2,2) ~= 4 and C_PetBattles.GetBreedQuality(2,3) ~= 4 then
    StaticPopup_Show("NO_RARE_PET")
  end
end

CancelPet:SetScript("OnEvent", CheckPet)